<?php
/****************************************************************************
 * DRBImageGallery
 * http://www.dbscripts.net/imagegallery/
 * 
 * Copyright  2007 Don Barnes 
 ****************************************************************************/

$donsimg_base_path = "./";
require_once $donsimg_base_path . 'includes/utils.php';
require_once $donsimg_base_path . 'includes/db_utils.php';
require_once $donsimg_base_path . 'includes/images.php';
require_once $donsimg_base_path . 'includes/attributes.php';
require_once $donsimg_base_path . 'includes/values.php';
require_once $donsimg_base_path . 'config.php';
require_once $donsimg_base_path . 'strings.php';

// Confirm that application is fully installed
confirm_install();

// Connect to database
db_connect();

// Handle actions
if(sizeof($_GET) > 0) {
	
	if(isset( $_GET["imageId"] )) {

		// Load image
		if(load_image($_GET["imageId"]) === FALSE) {
			die('That image could not be found.');
		}

		// Display results
		include_from_template('image.php');
		
	} else {

		// Display results
		include_from_template('results.php');
		
	}
	
} else {

	// Display search page
	include_from_template('search.php');

}

?>